Summary:	A http compression and optimizer, non-caching, fully configurable proxy
Name:		ziproxy
Version:	3.3.2
Release:	%mkrel 1
License:	GPLv2
Group:		System/Servers
URL:		https://ziproxy.sourceforge.net/
Source0:	https://downloads.sourceforge.net/ziproxy/%{name}-%{version}.tar.xz
Source1:        ziproxy.service
Source2:        ziproxy.sysconfig
Source3:        ziproxy.logrotate
Patch0:		ziproxy-mga_conf.patch
Patch3:		03_image_gccwarn.patch
Patch5:		ziproxy-3.3.1-mga-multiple-defs.patch
Requires(post): systemd >= %{systemd_required_version}
Requires(post): systemd >= %{systemd_required_version}
Requires(preun): systemd >= %{systemd_required_version}
BuildRequires:	flex
BuildRequires:	systemd
BuildRequires:	pkgconfig(jasper)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	giflib-devel
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libsasl2)

%description
Ziproxy is a forwarding (non-caching) proxy that gzips text and HTML files, and
reduces the size of images by converting them to lower quality JPEGs. It is
intended to increase the speed for low-speed Internet connections and it's
suitable for both home and professional usage. Ziproxy is fully configurable
and also features transparent proxy mode, preemptive name resolution, operation
in either daemon mode or (x)inetd mode, a detailed access log with compression
statistics, basic authentication, and more.

%prep
%autosetup -p1

cp %{SOURCE1} ziproxy.service
cp %{SOURCE2} ziproxy.sysconfig
cp %{SOURCE3} ziproxy.logrotate

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config/*.m4

%build
%serverbuild
autoreconf -fi
%configure \
    --with-jasper=%{_prefix} \
    --with-sasl2=%{_prefix} \
    --with-cfgfile=%{_sysconfdir}/ziproxy/ziproxy.conf

%make_build

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_unitdir}
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}%{_sysconfdir}/%{name}/errors
install -d %{buildroot}/var/log/%{name}
install -d %{buildroot}%{_mandir}/man1

install -m0755 src/%{name} %{buildroot}%{_sbindir}/%{name}
install -m0755 src/tools/ziproxylogtool %{buildroot}%{_bindir}/
install -m0755 src/tools/ziproxy_genhtml_stats.sh %{buildroot}%{_bindir}/ziproxy_genhtml_stats

install -m0644 etc/%{name}/%{name}.conf %{buildroot}%{_sysconfdir}/ziproxy/
install -m0644 var/%{name}/error/*.html %{buildroot}%{_sysconfdir}/ziproxy/errors/

install -m0644 ziproxy.service %{buildroot}%{_unitdir}/%{name}.service
install -m0644 ziproxy.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -m0644 ziproxy.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

install -m0644 man/*.1 %{buildroot}%{_mandir}/man1/

mkdir -p %{buildroot}%{_tmpfilesdir}
cat <<EOF > %{buildroot}%{_tmpfilesdir}/%{name}.conf
d /run/ziproxy 0700 root root
EOF

sed "s:sysconfig:%{_sysconfdir}/sysconfig:" -i %{buildroot}%{_unitdir}/%{name}.service

%post
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc CREDITS ChangeLog JPEG2000.txt README README.tools
%license COPYING
%{_unitdir}/%{name}.service
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%attr(0700,root,root) %dir %{_sysconfdir}/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%attr(0700,root,root) %dir %{_sysconfdir}/%{name}/errors
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/errors/*.html
%{_tmpfilesdir}/%{name}.conf
%dir %ghost %attr(0700, root, root) %{_rundir}/%{name}
%ghost %attr(0660, -, -) %{_rundir}/%{name}/%{name}.pid
%attr(0755,root,root) %{_sbindir}/%{name}
%attr(0755,root,root) %{_bindir}/ziproxylogtool
%attr(0755,root,root) %{_bindir}/ziproxy_genhtml_stats
%attr(0700,root,root) %dir /var/log/%{name}
%{_mandir}/man1/*


%changelog
* Tue Apr 30 2024 daviddavid <daviddavid> 3.3.2-1.mga10
+ Revision: 2061725
- new version: 3.3.2

* Tue Apr 30 2024 daviddavid <daviddavid> 3.3.1-9.mga10
+ Revision: 2061721
- switch to systemd unit from initscripts

* Fri Oct 13 2023 daviddavid <daviddavid> 3.3.1-8.mga10
+ Revision: 1996017
- rebuild for new jasper 4.0.0

* Tue Nov 22 2022 daviddavid <daviddavid> 3.3.1-7.mga9
+ Revision: 1910140
- rebuild for new jasper 3.0.6

* Tue Mar 29 2022 umeabot <umeabot> 3.3.1-6.mga9
+ Revision: 1833008
- Mageia 9 Mass Rebuild

* Fri May 15 2020 danf <danf> 3.3.1-5.mga8
+ Revision: 1583991
- Fix multiple definition error with gcc 10.1

* Fri Feb 14 2020 umeabot <umeabot> 3.3.1-4.mga8
+ Revision: 1519151
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 3.3.1-3.mga7
+ Revision: 1302058
- Mageia 7 Mass Rebuild

* Mon Apr 16 2018 daviddavid <daviddavid> 3.3.1-2.mga7
+ Revision: 1219282
- rebuild for new jasper 2.0.14

* Tue Jan 26 2016 dlucio <dlucio> 3.3.1-1.mga6
+ Revision: 927757
- 3.3.1
- P1 rediffed
- P3 no needed any more

* Thu Jan 07 2016 luigiwalser <luigiwalser> 3.3.0-9.mga6
+ Revision: 920414
- rebuild for giflib
- add patch from omdv to fix build with giflib5

* Wed Oct 15 2014 umeabot <umeabot> 3.3.0-8.mga5
+ Revision: 739551
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 danf <danf> 3.3.0-7.mga5
+ Revision: 737338
- Added strndup.patch to fix building against glibc 2.20
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.3.0-6.mga4
+ Revision: 533507
- Mageia 4 Mass Rebuild

* Sat Aug 31 2013 fwang <fwang> 3.3.0-5.mga4
+ Revision: 473672
- rebuild for new sasl

* Tue Aug 27 2013 luigiwalser <luigiwalser> 3.3.0-4.mga4
+ Revision: 472094
- rebuild for cyrus-sasl

* Sat Aug 24 2013 dlucio <dlucio> 3.3.0-3.mga4
+ Revision: 470424
- mga4 rebuild

* Tue Jun 04 2013 fwang <fwang> 3.3.0-2.mga4
+ Revision: 436912
- rebuild for new libpng

* Mon May 20 2013 dlucio <dlucio> 3.3.0-1.mga3
+ Revision: 413577
- 3.3.0
- P1 rediffed

* Sun Mar 24 2013 colin <colin> 3.2.1-3.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Tue Jan 15 2013 fwang <fwang> 3.2.1-2.mga3
+ Revision: 388161
- more fix
- include stdbool
- define false and true
- include header
- fix build with latest gcc
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ luigiwalser <luigiwalser>
- add tmpfiles config for /run/ziproxy
+ dmorgan <dmorgan>
- Fix to use with new autotools

* Sat Feb 11 2012 dlucio <dlucio> 3.2.1-1.mga2
+ Revision: 207463
- BR fixes
- imported package ziproxy

